package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkRefundAggregateRefundAggregateQueryRequest struct {
	/*
	   起始时间     */
	StartTime *util.LocalTime `json:"start_time,omitempty" `

	/*
	   结束时间     */
	EndTime *util.LocalTime `json:"end_time,omitempty" `

	/*
	   门店id     */
	StoreId *string `json:"store_id,omitempty" `

	/*
	   下单终端: APP / POS     */
	OrderClient *string `json:"order_client,omitempty" `

	/*
	   收营员id     */
	OperatorId *string `json:"operator_id,omitempty" `

	/*
	   分页序号     */
	PageIndex *int64 `json:"page_index,omitempty" `

	/*
	   分页size     */
	PageSize *int64 `json:"page_size,omitempty" `
}

func (s *AlibabaWdkRefundAggregateRefundAggregateQueryRequest) SetStartTime(v util.LocalTime) *AlibabaWdkRefundAggregateRefundAggregateQueryRequest {
	s.StartTime = &v
	return s
}
func (s *AlibabaWdkRefundAggregateRefundAggregateQueryRequest) SetEndTime(v util.LocalTime) *AlibabaWdkRefundAggregateRefundAggregateQueryRequest {
	s.EndTime = &v
	return s
}
func (s *AlibabaWdkRefundAggregateRefundAggregateQueryRequest) SetStoreId(v string) *AlibabaWdkRefundAggregateRefundAggregateQueryRequest {
	s.StoreId = &v
	return s
}
func (s *AlibabaWdkRefundAggregateRefundAggregateQueryRequest) SetOrderClient(v string) *AlibabaWdkRefundAggregateRefundAggregateQueryRequest {
	s.OrderClient = &v
	return s
}
func (s *AlibabaWdkRefundAggregateRefundAggregateQueryRequest) SetOperatorId(v string) *AlibabaWdkRefundAggregateRefundAggregateQueryRequest {
	s.OperatorId = &v
	return s
}
func (s *AlibabaWdkRefundAggregateRefundAggregateQueryRequest) SetPageIndex(v int64) *AlibabaWdkRefundAggregateRefundAggregateQueryRequest {
	s.PageIndex = &v
	return s
}
func (s *AlibabaWdkRefundAggregateRefundAggregateQueryRequest) SetPageSize(v int64) *AlibabaWdkRefundAggregateRefundAggregateQueryRequest {
	s.PageSize = &v
	return s
}
